<template>
	<view class="page">
		<u-navbar title="安全中心" :border-bottom="false" :background="bgc" title-color='#fff' back-icon-color="#fff" title-size='36'
			height='50'></u-navbar>
		<view class="biglogo">
			<image class="biglogo" src="https://api.ccttiot.com/smartmeter/img/static/uh2cPp6rZz5TRjnMEI4x" mode="aspectFit"></image>
		</view>
		<view class="list">
			<view class="list_val" style="margin-top: 0;" @click="btn(1)">
				<view class="lt">
					<image src="https://api.ccttiot.com/smartmeter/img/static/uLS1ovwmzAUS6ifHHhcn" mode="aspectFit"></image>手机号码
				</view>
				<view class="rt">
					{{teltxt}} <u-icon style="margin-left: 22rpx;" name="arrow-right"></u-icon>
				</view>
			</view>
			<view class="list_val" @click="btn(2)">
				<view class="lt">
					<image src="https://api.ccttiot.com/smartmeter/img/static/uHkVDVWsEOSH2ayjGNEq" mode="aspectFit"></image>微信
				</view>
				<view class="rt">
					158****1123 <u-icon style="margin-left: 22rpx;" name="arrow-right"></u-icon>
				</view>
			</view>
			<view class="list_val" style="border-bottom: 0;" @click="btn(3)">
				<view class="lt">
					<image src="https://api.ccttiot.com/smartmeter/img/static/uQJyaUf6tNQHapURsnHM" mode="aspectFit"></image>修改密码
				</view>
				<view class="rt">
					 <u-icon name="arrow-right"></u-icon>
				</view>
			</view>
		</view>
		
	</view>
</template>

<script>
	export default {
		data() {
			return {
				bgc: {
					backgroundColor: " #48893B",
				},
				teltxt:'未绑定'
			}
		},
		onLoad() {

		},
		onShow() {
			
		},
		methods: {
			getlist(){
				this.$u.get('/app/abnormal/list?pageNum=' + this.pagenum + '&pageSize='+this.pagesize + '&keyword='+this.keyword).then((res) => {
					if (res.code == 200) {
						
					}
				})
			},
			//点击进行跳转
			btn(num){
				if(num == 1){
					if(this.teltxt == '未绑定'){
						uni.navigateTo({
							url:'/page_fenbaotwo/edittel?txt=' + this.teltxt
						})
					}else{
						uni.navigateTo({
							url:'/page_fenbaotwo/dangqiantel?txt=' + this.teltxt
						})
					}
				}else if(num == 2){
					uni.navigateTo({
						url:'/page_fenbaotwo/bangwx'
					})
				}else if(num == 3){
					uni.navigateTo({
						url:'/page_fenbaotwo/anquan'
					})
				}
			}
			
		}
	}
</script>

<style lang="scss">
	/deep/ .u-title{
		padding-bottom: 22rpx;
	}
	/deep/ .uicon-nav-back{
		padding-bottom: 22rpx;
	}
	page {
		// background: linear-gradient(180deg, #8883F0 0%, rgba(255, 255, 255, 0) 100%);
		background: #F4F5F7;
	}

	.page {
		width: 750rpx;
	}
	.list{
		width: 668rpx;
		height: 320rpx;
		background: #FFFFFF;
		box-shadow: 0rpx 16rpx 40rpx 0rpx rgba(42,130,228,0.1);
		border-radius: 30rpx 30rpx 30rpx 30rpx;
		margin: auto;
		margin-top: 158rpx;
		padding: 42rpx 34rpx;
		box-sizing: border-box;
		.list_val{
			width: 100%;
			display: flex;
			justify-content: space-between;
			align-items: center;
			border-bottom:1rpx solid #D8D8D8;
			padding-bottom: 24rpx;
			box-sizing: border-box;
			margin-top: 22rpx;
			.lt{
				display: flex;
				align-items: center;
				font-size: 36rpx;
				color: #3D3D3D;
				image{
					width: 50rpx;
					height: 50rpx;
					margin-right: 10rpx;
				}
			}
			.rt{
				font-size: 28rpx;
				color: #808080;
			}
		}
	}
	.biglogo{
		width: 468rpx;
		height: 468rpx;
		margin: auto;
		margin-top: 60rpx;
		image{
			margin-top: 0;
		}
	}
	
	
</style>